std::experimental::clamp(3)

NAME
std::experimental::clamp - std::experimental::clamp

Synopsis
   Defined in header <experimental/simd>
   template < class T, class Abi >
   simd<T, Abi> (parallelism TS v2)
   clamp( const simd<T, Abi>& v, const simd<T, Abi>& lo, const
   simd<T, Abi>& hi );

Parameters
   v - the elements to clamp
   lo, hi - the boundaries to clamp v to

Return value
   The result of element-wise application of std::clamp(v[i], lo[i], hi[i]) for all i
   ∈ [0, size()).

Example

See also